@Generated(value="org.apache.camel.maven.packaging.EndpointDslMojo") public interface VelocityEndpointBuilderFactory
| Modifier and Type | Interface and Description |
|---|---|
static interface |
VelocityEndpointBuilderFactory.AdvancedVelocityEndpointBuilder
Advanced builder for endpoint for the Velocity component.
|
static interface |
VelocityEndpointBuilderFactory.VelocityBuilders |
static interface |
VelocityEndpointBuilderFactory.VelocityEndpointBuilder
Builder for endpoint for the Velocity component.
|
| Modifier and Type | Method and Description |
|---|---|
static VelocityEndpointBuilderFactory.VelocityEndpointBuilder |
velocity(String path)
Velocity (camel-velocity)
Transforms the message using a Velocity template.
|
static VelocityEndpointBuilderFactory.VelocityEndpointBuilder velocity(String path)
velocity:resourceUri
Path parameter: resourceUri (required)
Path to the resource. You can prefix with: classpath, file, http, ref, or
bean. classpath, file and http loads the resource using these protocols
(classpath is default). ref will lookup the resource in the registry.
bean will call a method on a bean to be used as the resource. For bean
you can specify the method name after dot, eg bean:myBean.myMethod.Apache Camel